#include <stdio.h>
#include <malloc.h>

int main()
{
    int Uslov(int, int);
    int T;

    scanf("%d", &T);
    int* Resenja = (int*)calloc(T, sizeof(int));


    for (int i = 0; i < T; ++i)
    {
        int N, M, K;
        scanf("%d %d %d", &N, &M, &K);

        if (M >= Uslov(N, K) && N >= K)
        {
            if (N > 1 && K == 1)
            {
                Resenja[i] = 0;
                continue;
            }

            Resenja[i] = 1;
            continue;
        }

        Resenja[i] = 0;
    }

    for (int i = 0; i < T; ++i)
    {
        if (Resenja[i])
        {
            printf("Tak\n");
        }
        else
        {
            printf("Nie\n");
        }
    }
}

int Uslov(int BrojUcenika, int BrojGrupa)
{
    int potrebanBroj = 0;

    int* uceniciPoGrupama = (int*)calloc(BrojGrupa, sizeof(int));

    int n = BrojUcenika / BrojGrupa;

    for (int i = 0; i < BrojGrupa; ++i)
    {
        uceniciPoGrupama[i] = n;
    }

    n = BrojUcenika % BrojGrupa;

    for (int i = 0; i < n; ++i)
    {
        uceniciPoGrupama[i]++;
    }

    for (int i = 0; i < BrojGrupa; ++i)
    {
        potrebanBroj += BrojBanana(uceniciPoGrupama[i]);
    }

    return potrebanBroj;
}

int BrojBanana(int BrojUcenika)
{
    int zbir = 0;

    for (int i = 1; i <= BrojUcenika; ++i)
    {
        zbir += i;
    }

    return zbir;
}